

.section/dm	seg_data;

.var ov_stack[20];										// this is a software stack used to save & restore registers clobbered by the overlay manager

.var save_ax0 = 0x0000;								// variable used to context save & restore ax0 register before calling PLIT table
.var save_ay0 = 0x0000;								// variable used to context save & restore ay0 register before calling PLIT table

.var ovly_ID_number;									// variable used by the main program (or caller) to determine if the overlay that is needed is already in internal run memory space

.var curr_PM_ovly_ID1 = 0xffff;				// variable used to store the ID# of the overlay that is to be loaded into internal PM run space #1
.var curr_PM_ovly_ID2 = 0xffff;				// variable used to store the ID# of the overlay that is to be loaded into internal PM run space #2

.var curr_DM_ovly_ID1 = 0xffff;				// variable used to store the ID# of the overlay that is to be loaded into internal DM run space #2
.var curr_DM_ovly_ID2 = 0xffff;				// variable used to store the ID# of the overlay that is to be loaded into internal DM run space #2

.var LRU_PM_Ovly_1 = 1;								// variable used to determine which PM overlay run space is least recently used (1 = LRU)
.var LRU_PM_Ovly_2 = 1;								// variable used to determine which PM overlay run space is least recently used (1 = LRU)

.var LRU_DM_Ovly_1 = 1;								// variable used to determine which PM overlay run space is least recently used (1 = LRU)
.var LRU_DM_Ovly_2 = 1;								// variable used to determine which PM overlay run space is least recently used (1 = LRU)

.var ovly_ID_temp;										// variable used to temporarily store the ID# of the overlay

.var save_ax1;
.var save_ay1;

// make them all global so every external module can see them

.global ov_stack;
.global save_ax0;
.global save_ay0;

.global ovly_ID_number;

.global curr_PM_ovly_ID1;
.global curr_PM_ovly_ID2;
.global curr_DM_ovly_ID1;
.global curr_DM_ovly_ID2;

.global LRU_PM_Ovly_1;
.global LRU_PM_Ovly_2;

.global LRU_DM_Ovly_1;
.global LRU_DM_Ovly_2;

.global ovly_ID_temp;

.global save_ax1;
.global save_ay1;
